﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TelerikSampleProject.Models;

namespace TelerikSampleProject.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index( bool? disableCombobox)
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";
            if (disableCombobox.HasValue && disableCombobox.Value)
                ViewBag.DisableCombobox = true;

            return View( new UserDTO { Name="John", LastName="K.", Type="USR" } );
        }

        public ActionResult SamplePopup(bool? firstComboDisabled)
        {
            if (firstComboDisabled.HasValue && firstComboDisabled.Value)
                ViewBag.FirstComboDisabled = true;

            return View();
        }
    }
}
